org.jboss.jca.as.converters.wls.api.metadata

## Enum TransactionSupport

- java.lang.Object
- - java.lang.Enum<TransactionSupport>
  - - org.jboss.jca.as.converters.wls.api.metadata.TransactionSupport

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionSupport>

      public enum TransactionSupport
      extends java.lang.Enum<TransactionSupport>

  TransactionSupportType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LocalTransaction` LocalTransaction
    `NotDefined` not defined
    `NoTransaction` NoTransaction
    `XATransaction` XATransaction

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionSupport` | `fromValue(java.lang.String v)` fromValue
    `java.lang.String` | `value()` get value
    `static TransactionSupport` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionSupport[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoTransaction

          public static final TransactionSupport NoTransaction

      NoTransaction

    - #### LocalTransaction

          public static final TransactionSupport LocalTransaction

      LocalTransaction

    - #### XATransaction

          public static final TransactionSupport XATransaction

      XATransaction

    - #### NotDefined

          public static final TransactionSupport NotDefined

      not defined

  - ### Method Detail

    - #### values

          public static TransactionSupport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionSupport c : TransactionSupport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionSupport valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

      get value
      Returns:
        name

    - #### fromValue

          public static TransactionSupport fromValue(java.lang.String v)

      fromValue
      Parameters:
        `v` - String
      Returns:
        TransactionSupportType

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)